@import '../../theme/styles/config';

$favStar-color: #fcc10a;
$accept-color: #00a046;
$decline-color: #fa6368;

.card {
  position: relative;
  padding: 16px;
  border: 1px solid #e9e9e9;
  //border-right: 1px solid #e9e9e9;
  //border-bottom: 1px solid #e9e9e9;
  text-align: left;
  background-color: #fff;
  transition: box-shadow .3s linear;
  border-radius: 10px;

  &__img-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 184px;
    padding: 5px 0;
    //background-color: #fff;
    border-radius: 10px;
    transform: scale(0.95);
    transition: transform 0.2s ease-out;

  }

  &__link {
    text-decoration: none;
    color: inherit;
  }

  &__img {
    height: 100%;
  }

  &__title {
    margin: 20px 0;
    height: 40px;
    font-size: 14px;
    font-weight: bold;
    text-align: center;
    color: $primary-color;
  }

  &__info {
    display: flex;
    justify-content: space-between;
    font-size: 12px;
    font-weight: 300;
    margin-bottom: 30px;
  }

  &__purchase {
    display: flex;
    justify-content: space-between;
    font-size: 24px;
    color: $primary_color;
    margin-bottom: 0;
  }

  &__params {
    position: absolute;
    left: -1px;
    z-index: 6;
    display: flex;
    justify-content: space-around;
    width: calc(100% + 2px);
    height: 50px;
    padding: 8px 16px 16px;
    color: #333131;
    font-size: 12px;
    line-height: 18px;
    background-color: $white-color;

    &_wrap {
      display: none;
    }
  }

  &:hover {
    border: 1px solid rgba(183, 182, 182, 0.5);
    box-shadow: 0 4px 15px rgba(0, 0, 0, .25);
    //border-top: 5px solid rgba(183, 182, 182, 0.5);
    //border-right: 5px solid rgba(183, 182, 182, 0.5);
    //border-left: 5px solid rgba(183, 182, 182, 0.5);
    //border-radius: 10px;
  }

  &:hover &__params{
    border-radius: 0 0 10px 10px;
    border-bottom: 1px solid rgba(183, 182, 182, 0.5);
    border-right: 1px solid rgba(183, 182, 182, 0.5);
    border-left: 1px solid rgba(183, 182, 182, 0.5);
    box-shadow: 0 15px 14px rgba(0, 0, 0, .25);
  }

  &:hover &__params_wrap {
    display: block;
  }

  &:hover &__img-wrapper {
    transform: scale(1);
  }
}

.fav-btn {
  position: absolute;
  top: 5px;
  right: 5px;
  width: 40px;
  height: 40px;
  z-index: 15;
  background-color: transparent;

  & > svg {
    overflow: visible;
  }

  & path {
    stroke: $favStar-color;
    stroke-width: 40;
    fill: #ffffff;
  }

  &.added path {
    fill: $favStar-color;
  }
}

.cart-btn {
  background-color: transparent;
  width: 35px;
  height: 35px;
}

.cart-confirm-wrapper {
  display: flex;
  justify-content: space-between;
}

.cart-confirm-btn {
  min-width: 100px;
  padding: 10px;
  border-radius: 5px;
  color: #fff;

  &--accept {
    background-color: $accept-color;
  }

  &--decline {
    background-color: $decline-color;
  }
}